#ifndef _MAILTOOL_H
#define _MAILTOOL_H

#include "MailS.h"
#include <CosNotifyChannelAdminS.h>
#include <CosNotificationS.h>

#include "ChannelUtil.h"


class MailTool
{
  public:

    MailTool (CORBA::ORB_var orbVar, char *username);

    ~MailTool ();

    void sendMessage (char *message, Mail::StringSeq_var to);

    CORBA::Boolean receiveMessage (CORBA::String_var &sender, CORBA::String_var &message);

  protected:

  private:

    Mail::StringSeq * parseList (char *list, const char *separators);

    Mail::MailBox_var mailBoxVar_;
};

#endif // _MAILTOOL_H
