// $Id: CSD_ThreadPool.cpp,v 1.1.1.1 2006/05/11 14:15:09 sm Exp $

#include "tao/CSD_ThreadPool/CSD_ThreadPool.h"
#include "tao/CSD_ThreadPool/CSD_TP_Strategy_Factory.h"
#include "tao/CSD_Framework/CSD_Framework_Loader.h"
#include "tao/debug.h"
#include "ace/Dynamic_Service.h"

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

int
TAO_CSD_ThreadPool::init (void)
{
  static int initialized = 0;
  if (initialized == 1)
    return 0;
  initialized = 1;

  TAO_CSD_Framework_Loader::init();
  return ACE_Service_Config::process_directive (ace_svc_desc_TAO_CSD_TP_Strategy_Factory);
}

TAO_END_VERSIONED_NAMESPACE_DECL
